curl --request PATCH \
--url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/psc/appointment/cancel' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY' \
--data '
{
"cancellation_reason_id": "7dfd7da5-ed6e-40bb-a7e4-c8003f0c10a9"
}
'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.cancel_psc_appointment(
"<order_id>",
cancellation_reason_id="<cancellation_reason_id>",
)
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.cancelPscAppointment({
orderId: "<order_id>",
cancellationReasonId: "<cancellation_reason_id>",
});
import com.junction.api.Junction;
import com.junction.api.core.Environment;
import com.junction.api.resources.labtests.requests.VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().cancelPscAppointment(
"<order_id>",
VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest.builder()
.cancellationReasonId("<cancellation_reason_id>")
.build()
);
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.CancelPscAppointment(context.TODO(), &junction.VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest{
OrderId: "<order_id>",
CancellationReasonId: "<cancellation_reason_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
"user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
"address": {
"first_line": "West Lincoln Street",
"second_line": "",
"city": "Phoenix",
"state": "AZ",
"zip_code": "85004",
"unit": "14"
},
"location": {
"lng": -112.0772235,
"lat": 33.4421912
},
"start_at": "2023-05-17T20:00:00+00:00",
"end_at": "2023-05-17T22:00:00+00:00",
"iana_timezone": "America/Phoenix",
"type": "patient_service_center",
"provider": "quest",
"status": "cancelled",
"provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
"can_reschedule": true
}
Patient Service Center (PSC)
Cancel PSC Appointment
Partially update order psc appointment cancel via the Junction API. Requires authentication with your team API key.
PATCH
/
v3
/
order
/
{order_id}
/
psc
/
appointment
/
cancel
curl --request PATCH \
--url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/psc/appointment/cancel' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY' \
--data '
{
"cancellation_reason_id": "7dfd7da5-ed6e-40bb-a7e4-c8003f0c10a9"
}
'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.cancel_psc_appointment(
"<order_id>",
cancellation_reason_id="<cancellation_reason_id>",
)
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.cancelPscAppointment({
orderId: "<order_id>",
cancellationReasonId: "<cancellation_reason_id>",
});
import com.junction.api.Junction;
import com.junction.api.core.Environment;
import com.junction.api.resources.labtests.requests.VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().cancelPscAppointment(
"<order_id>",
VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest.builder()
.cancellationReasonId("<cancellation_reason_id>")
.build()
);
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.CancelPscAppointment(context.TODO(), &junction.VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest{
OrderId: "<order_id>",
CancellationReasonId: "<cancellation_reason_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
"user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
"address": {
"first_line": "West Lincoln Street",
"second_line": "",
"city": "Phoenix",
"state": "AZ",
"zip_code": "85004",
"unit": "14"
},
"location": {
"lng": -112.0772235,
"lat": 33.4421912
},
"start_at": "2023-05-17T20:00:00+00:00",
"end_at": "2023-05-17T22:00:00+00:00",
"iana_timezone": "America/Phoenix",
"type": "patient_service_center",
"provider": "quest",
"status": "cancelled",
"provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
"can_reschedule": true
}
curl --request PATCH \
--url '{{BASE_URL}}/v3/order/413d7205-f8a9-42ed-aa4a-edb99e481ca0/psc/appointment/cancel' \
--header 'accept: application/json' \
--header 'x-vital-api-key: YOUR_API_KEY' \
--data '
{
"cancellation_reason_id": "7dfd7da5-ed6e-40bb-a7e4-c8003f0c10a9"
}
'
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.cancel_psc_appointment(
"<order_id>",
cancellation_reason_id="<cancellation_reason_id>",
)
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.cancelPscAppointment({
orderId: "<order_id>",
cancellationReasonId: "<cancellation_reason_id>",
});
import com.junction.api.Junction;
import com.junction.api.core.Environment;
import com.junction.api.resources.labtests.requests.VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().cancelPscAppointment(
"<order_id>",
VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest.builder()
.cancellationReasonId("<cancellation_reason_id>")
.build()
);
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.CancelPscAppointment(context.TODO(), &junction.VitalCoreClientsLabTestGetlabsSchemaAppointmentCancelRequest{
OrderId: "<order_id>",
CancellationReasonId: "<cancellation_reason_id>",
})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"id": "413d7205-f8a9-42ed-aa4a-edb99e481ca0",
"user_id": "202b2c2f-fb4c-44dc-a4f8-621186fde227",
"address": {
"first_line": "West Lincoln Street",
"second_line": "",
"city": "Phoenix",
"state": "AZ",
"zip_code": "85004",
"unit": "14"
},
"location": {
"lng": -112.0772235,
"lat": 33.4421912
},
"start_at": "2023-05-17T20:00:00+00:00",
"end_at": "2023-05-17T22:00:00+00:00",
"iana_timezone": "America/Phoenix",
"type": "patient_service_center",
"provider": "quest",
"status": "cancelled",
"provider_id": "e89eb489-7382-4966-bb14-7ab4763eba6c",
"can_reschedule": true
}
Authorizations
Vital Team API Key
Path Parameters
Your Order ID.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Time is in UTC
Time is in UTC
ℹ️ This enum is non-exhaustive.
Available options:
phlebotomy, patient_service_center ℹ️ This enum is non-exhaustive.
Available options:
getlabs, phlebfinders, quest, sonora_quest ℹ️ This enum is non-exhaustive.
Available options:
confirmed, pending, reserved, in_progress, completed, cancelled ℹ️ This enum is non-exhaustive.
Available options:
pending, reserved, scheduled, completed, cancelled, in_progress Show child attributes
Show child attributes
Pattern:
^(?:(?:[A-Za-z_\-]+\/[A-Za-z_\-]+(?:\/[A-Za-z_\-]+)?)|(?:Etc\/[A-Za-z0-9+\-]+(?:\/[A-Za-z0-9]+)?|(?:CET|CST6CDT|EET|EST|EST5EDT|MET|MST|MST7MDT|PST8PDT|HST)))$Maximum string length:
1000Was this page helpful?